WEBOOB-REPOS(1)

NAME
weboob-repos - manage a weboob repository

SYNOPSIS
weboob-repos [-dqv] [-b backends] [-cnfs] [command [arguments..]]
weboob-repos [--help] [--version]

DESCRIPTION

Weboob-repos is a console application to manage a Weboob Repository.

WEBOOB-REPOS COMMANDS

backends [ACTION] [BACKEND_NAME]...
    Select used backends.
    ACTION is one of the following (default: list):
    * enable enable given backends
    * disable disable given backends
    * only enable given backends and disable the others
    * list list backends
    * add add a backend
    * register register a new account on a website
    * edit edit a backend
    * remove remove a backend
    * list-modules list modules

build SOURCE REPOSITORY
    Build backends contained in SOURCE to REPOSITORY.
    Example:
    $ weboob-repos build $HOME/src/weboob/modules /var/www/updates.weboob.org/0.a/

create NAME [PATH]
    Create a new repository. If PATH is missing, create repository
    on the current directory.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression

-n COUNT, --count=COUNT
    get a maximum number of results (all backends merged)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (csv, htmltable, json, multiline, simple, table, webkit)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

COPYRIGHT
Copyright(C) 2012 Romain Bignon

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.config/weboob/backends"

SEE ALSO
Home page: http://weboob.org/applications/weboob-repos